Amtk-5.2.0

Amtk の概要

The Amtk package contains a basic GTKUIManager replacement based on GAction.

本パッケージは LFS-11.1 において正しくビルドでき動作することが確認されています。

パッケージ情報

Amtk の依存パッケージ

必須

GTK+-3.24.30

任意

GTK-Doc-1.33.2 (ドキュメントのため), Valgrind-3.17.0

ユーザー情報: https://wiki.linuxfromscratch.org/blfs/wiki/amtk

Amtk のインストール

以下のコマンドを実行して Amtk をビルドします。

./configure --prefix=/usr &&
make

ビルド結果をテストする場合は make check を実行します。

root ユーザーになって以下を実行します。

make install

コマンド説明

--enable-gtk-doc: GTK-Doc をインストール済で API ドキュメントを再構築する場合に指定します。

パッケージ構成

インストールプログラム: なし
インストールライブラリ: libamtk-5.so
インストールディレクトリ: /usr/include/amtk-5, /usr/share/gtk-doc/html/amtk-5.0

概略説明

libamtk-5.so

provides a basic GTKUIManager replacement API based on GAction

最終更新日: